import * as React from "react";
import useResizeObserver from '@react-hook/resize-observer';
//import ResizeObserver from "resize-observer-polyfill";
/* 新的包 @react-hook/resize-observer 接替本hook;
注意：注入Spring动画时 const width= useMeasure(containerRef)?.width | 0;  避免报错NaN;
* */
export const useMeasure = (target) => {
    const [size, setSize] = React.useState();
    // readonly width: number;
    // readonly height: number;
    // readonly left: number;
    // readonly top: number;
    React.useLayoutEffect(() => {
        //target
        target.current && setSize(target.current.getBoundingClientRect());
    }, [target, setSize]);
    // Where the magic happens     target: Element;   contentRect: DOMRectReadOnly;
    useResizeObserver(target, (entry) => setSize(entry.contentRect));
    return size;
};
//export function useMeasure(ref: React.MutableRefObject<any>) {  return { bounds };
//# sourceMappingURL=use-measure.js.map